Skip to content
Skip to main content
POST
/v3/grants/{grant_id}/notetakers

Invite Notetaker to meeting

Adds a Notetaker bot to the specified meeting.

ℹ️ Nylas doesn't de-duplicate Notetaker bots. Every POST /v3/grants/<NYLAS_GRANT_ID>/notetakers request you make invites a new Notetaker to the specified meeting.
NYLAS API KEY

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

Request body

join_timeinteger

When the Notetaker bot should join the meeting, in seconds using the Unix timestamp format. If you don't specify a time, Notetaker joins the meeting immediately.

If you provide a time that's in the past, Nylas returns an error.

Example: 1732657774
meeting_settingsobject

A collection of settings for the Notetaker bot.

namestring

The display name for the Notetaker bot.

Default: "Nylas Notetaker"
Example: "Nylas Notetaker"

Responses

request_idstring

The request ID.

dataobject
POSThttps://api.us.nylas.com/v3/grants/nyla%40example.com/notetakers

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.